config/routes.rb
Rails.application.routes.draw do
  root 'static_pages#home'

  get '/home', to: 'static_pages#home'
  get '/help', to: 'static_pages#help'
  get '/about', to: 'static_pages#about'
  get '/contact', to: 'static_pages#contact'
  get '/signup', to: 'users#new'
  post '/signup', to: 'users#create'
  get '/login', to: 'sessions#new'
  post '/login', to: 'sessions#create'
  delete '/logout', to: 'sessions#destroy'

  resources :users do
    member do
      get :following, :followers
    end
  end
  resources :users
  resources :account_activations, only: :edit
  resources :password_resets, only: [:new, :create, :edit, :update]
  resources :microposts, only: [:create, :destroy]
  resources :relationships, only: [:create, :destroy]
end

app/views/layouts/_footer.html.erb
<footer class="footer">
  <small>
    <a href="https://www.railstutorial.org/"><%= t(".content_1")%></a>
    <a href="https://www.michaelhartl.com/"><%= t (".michael_hartl")%></a>
  </small>
  <nav>
    <ul>
      <li><%= link_to t(".about"), about_path %></li>
      <li><%= link_to t(".contact"), contact_path %></li>
      <li><a href="https://news.railstutorial.org/"><%= t(".news")%></a></li>
    </ul>
  </nav>
</footer

app/views/layouts/_header.html.erb
<header class="navbar navbar-fixed-top navbar-inverse">

  <div class="container">
    <%= link_to t(".logo_content"), root_path, id: "logo" %>
      <nav>
        <ul class="nav navbar-nav navbar-right">
          <li><%= link_to t(".home"), root_path %></li>
          <li><%= link_to t(".help"), help_path %></li>
          <% if logged_in? %>
            <li><%= link_to t(".users"), users_path %></li>
            <li class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                <%= t (".acount")%> <b class="caret"></b>
              </a>
              <ul class="dropdown-menu">
                <li><%= link_to t(".profile"), current_user %></li>
                <li><%= link_to t(".setting"), edit_user_path(current_user) %></li>
                <li class="divider"></li>
                <li>
                  <%= link_to t(".logout"), logout_path, method: :delete %>
                </li>
              </ul>
            </li>
          <% else %>
            <li><%= link_to t(".login"), login_path %></li>
          <% end %>
      </ul>
    </nav>
  </div>
</header>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title><%= full_title(yield(:title)) %></title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <%= render "layouts/header"%>
    <div class="container">
      <% flash.each do |message_type, message| %>
        <div class="alert alert-<%= message_type %>">
          <%= message %>
        </div>
      <% end %>
      <%= yield %>
      <%= debug(params) if Rails.env.development? %>
    </div>
    <div class="container">
      <%= t".language" %>  :
      <%= link_to t(".en"), locale: "en" %> |
      <%= link_to t(".vi"), locale: "vi" %>
    </div>
    <%= render 'layouts/footer' %>
  </body>
</html>